---
- name: Converge
  hosts: all
  gather_facts: true 
  become: yes
  become_method: sudo
  tasks:
    - name: "include k8s-common role"
      ansible.builtin.include_role:
        name: k8s-common
    - name: "include k8s-cps-common role"
      ansible.builtin.include_role:
        name: k8s-cps-common
    - name: "include k8s-init-cluster role"
      ansible.builtin.include_role:
        name: k8s-init-cluster
    - name: "include k8s-join-cps role"
      ansible.builtin.include_role:
        name: k8s-join-cps
    - name: "include k8s-join-workers role"
      ansible.builtin.include_role:
        name: k8s-join-workers
    - name: "include k8s-storage role"
      ansible.builtin.include_role:
        name: k8s-storage
